﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 단순 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 사용자명 구하기 - GetUserName()

        /// <summary>
        /// 사용자명 구하기
        /// </summary>
        /// <returns>사용자명</returns>
        [OperationContract]
        string GetUserName();

        #endregion
    }
}