﻿using System;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 단순 서비스
    /// </summary>
    public class SimpleService : ISimpleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 사용자명 구하기 - GetUserName()

        /// <summary>
        /// 사용자명 구하기
        /// </summary>
        /// <returns>사용자명</returns>
        public string GetUserName()
        {
            bool   isAuthenticated    = ServiceSecurityContext.Current.PrimaryIdentity.IsAuthenticated;
            string authenticationType = ServiceSecurityContext.Current.PrimaryIdentity.AuthenticationType;
            string userName           = ServiceSecurityContext.Current.PrimaryIdentity.Name;
            
            Console.WriteLine("인증 여부 : {0}", isAuthenticated   );
            Console.WriteLine("인증 타입 : {0}", authenticationType);
            Console.WriteLine("사용자명  : {0}", userName          );
            
            return userName;
        }

        #endregion
    }
}